export function assert(condition, message) {
    if (!condition) {
        throw new Error(message ?? "assertion failed");
    }
}
export function signalInvalidType(type) {
    console.error(type);
    throw new TypeError("internal error: invalid type");
}
export const mapEntries = (object, map) => Object.fromEntries(Object.entries(object).map(([key, value]) => [key, map([key, value])]));
export const mapKeys = (object, map) => Object.fromEntries(Object.entries(object).map(([key, value]) => [key, map(key)]));
export const mapValues = (object, map) => Object.fromEntries(Object.entries(object).map(([key, value]) => [key, map(value)]));
